/*
 * @(#)EventListenerListTest.java	1.1 99/03/02
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package javasoft.sqe.tests.api.javax.help.event.EventListenerList;
import java.io.PrintWriter;
import javax.help.event.EventListenerList;
import javasoft.sqe.javatest.Status;
import javasoft.sqe.javatest.lib.MultiTest;

/**
 * Tests for javax.help.EventListenerList
 *
 * @author Meena C
 */

public class EventListenerListTest extends MultiTest {
    
    public EventListenerListTest() {
        
    }
    
    public static void main(String argv[]) {
        EventListenerListTest test = new EventListenerListTest();
        Status s = test.run(argv, new PrintWriter(System.out) ,
        	new PrintWriter(System.err));
        s.exit();
    }
    
    public Status testCase1() {
    	
        String apiTested = "EventListenerList() : " 
        + "\nTestCase : Construct a default EventListenerList object." 
        + "\nExpected Result:Should construct non-null EventListenerList object" 
        + "\nObtained Result : ";
        
        try {
            EventListenerList eventListenerList = new EventListenerList();
            if(eventListenerList != null) {
                return Status.passed(apiTested + "Constructed non-null " + 
                	"EventListenerList object.\n");
            } else {
                return Status.failed(apiTested + "Did not Construct non-null " 
                	+ "EventListenerList object.\n");
            }
        } catch(Exception e) {
            return Status.failed(apiTested + "Got Exception : " + e + "\n");
        }
    }
}
