/*
 * @(#)TestTextHelpModel.java	1.4 01/09/21
 * 
 * Copyright (c) 1998-1999 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 * CopyrightVersion 1.0
 */
package com.sun.help.jck.harness;

import javax.help.TextHelpModel;
import javax.help.TextHelpModel.Highlight;
import javax.help.HelpSet;
import javax.help.Map.ID;
import javax.help.InvalidHelpSetContextException;
import javax.help.JHelpNavigator;

import javax.help.event.*;

import java.net.URL;

import java.beans.PropertyChangeListener;

/**
 * Helper class extending javax.help.TextHelpModel
 *
 * @author Meena C
 * @author Patrik Knakal
 */

public class TestTextHelpModel implements TextHelpModel {
    private ID currentID;
    private URL currentURL;

    public String getDocumentTitle() {
        return "Title From TestTextHelpModel";
    }

    public void setDocumentTitle(String title) {
    }

    public void removeAllHighlights() {
    }

    public void addHighlight(int pos0, int pos1) {
    }

    public void setHighlights(Highlight[] h) {
    }

    public Highlight[] getHighlights() {
        Highlight h[] = new Highlight[1];
        h[0] = new Highlight() {
            
            public int getStartOffset() {
                return 0;
            }
            
            public int getEndOffset() {
                return 0;
            }
        };
        return h;
    }

    public void addTextHelpModelListener(TextHelpModelListener l) {
    }

    public void removeTextHelpModelListener(TextHelpModelListener l) {
    }

    /* Methods of Help Model */

    public void setHelpSet(HelpSet hs) {
    }

    public HelpSet getHelpSet() {
        return new HelpSet();
    }

    public void setCurrentID(ID id) throws InvalidHelpSetContextException {
        currentID = id;
    }

    /**
     * Added for compatibility with JH2.0
     *
     * @author Patrik Knakal
     */
    public void setCurrentID(ID id, String historyName, JHelpNavigator navigator) throws InvalidHelpSetContextException {
    }

    /**
     * Added for compatibility with JH2.0
     *
     * @author Patrik Knakal
     */
    public void setCurrentURL(URL url, String historyName, JHelpNavigator navigator) {
    }

    public ID getCurrentID() {
        return currentID;
    }
    
    public void setCurrentURL(URL url) {
        currentURL = url;
    }
    
    public URL getCurrentURL() {
        return currentURL;
    }
    
    public void addHelpModelListener(HelpModelListener l) {
    }
    
    public void removeHelpModelListener(HelpModelListener l) {
    }
    
    public void addPropertyChangeListener(PropertyChangeListener l) {
    }
    
    public void removePropertyChangeListener(PropertyChangeListener l) {
    }

}
