/*
 * PropertiesInfo.java
 */

/*
 * Only list current properties.
 */

package antext;

import java.util.Hashtable;
import java.util.Enumeration;

import org.apache.tools.ant.Task;
import org.apache.tools.ant.BuildException;

/**
 *
 * @author  pknakal
 * @version 1.1
 */
public class PropertiesInfo extends Task {

    public void execute() throws BuildException {
        System.out.println("\t[PropertiesInfo] :"); //NOI18N

        Hashtable table;
        table = this.getProject().getUserProperties();

        System.out.println("*** getUserProperties() ***"); //NOI18N
        System.out.println("*** ******************* ***\n"); //NOI18N
        for (Enumeration enum = table.keys() ; enum.hasMoreElements() ; ) {
            Object element = enum.nextElement();
            System.out.println("getProperty()     ... " + element + " == " + this.getProject().getProperty((String)element) ); //NOI18N
            System.out.println("getUserProperty() ... " + element + " == " + this.getProject().getUserProperty((String)element) + "\n"); //NOI18N
        }

        System.out.println("\n"); //NOI18N

        System.out.println("*** getProperties() ***"); //NOI18N
        System.out.println("*** *************** ***\n"); //NOI18N
        table = this.getProject().getProperties();
        for (Enumeration enum = table.keys() ; enum.hasMoreElements() ; ) {
            Object element = enum.nextElement();
            System.out.println("getProperty()     ... " + element + " == " + this.getProject().getProperty((String)element) ); //NOI18N
            System.out.println("getUserProperty() ... " + element + " == " + this.getProject().getUserProperty((String)element) + "\n"); //NOI18N
        }

    }

}
