/*
 * ConvertPath.java
 */

/*
 * This class converts path to path usable in the OS.
 */

package antext.util;

//import antext.util.Constants;

/**
 *
 * @author  pknakal
 * @version 2.0
 */
public class ConvertPath extends Object {

    public static String convert(String path) {
        StringBuffer buffer = new StringBuffer();

        for (int i = 0 ; i < path.length() ; i++) {
            if (i == 0 && path.length() > 3 && Character.isLetter(path.charAt(i)) && (path.charAt(i+1) == ':') && (path.charAt(i+2) == '/' || path.charAt(i+2) == '\\') ) { //NOI18N
                buffer.append(path.charAt(i) );
                buffer.append(path.charAt(i+1) );
                i+=2;
            }
            if (path.charAt(i) == '/' || path.charAt(i) == '\\') { //NOI18N
                buffer.append(System.getProperty("file.separator") ); //NOI18N
                i++;
            }
            if (path.charAt(i) == ':' || path.charAt(i) == ';' ) { //NOI18N
                buffer.append(System.getProperty("path.separator") ); //NOI18N
                if ((i + 2) < path.length() ) {
                    if (path.charAt(i+2) == ':' && Character.isLetter(path.charAt(i+1)) ) { //NOI18N
                        buffer.append(path.charAt(i+1) );
                        buffer.append(path.charAt(i+2) );
                        i+=2;
                    }
                }
            } else {
                buffer.append(path.charAt(i) );
            }
        }

        return buffer.toString();
    }
}
